---
triple:          'arm64-apple-darwin'
binary-path:     '/Users/jenkins/workspace/Build_JDK25_aarch64_mac_Nightly/build/macosx-aarch64-server-release/support/test/hotspot/jtreg/native/lib/libFieldAccessWatch.dylib'
relocations:
  - { offsetInCU: 0x26, offset: 0x26, size: 0x8, addend: 0x0, symName: _setWatchers, symObjAddr: 0x0, symBinAddr: 0x34C4, symSize: 0x1D0 }
  - { offsetInCU: 0x4D, offset: 0x4D, size: 0x8, addend: 0x0, symName: _jvmti, symObjAddr: 0xEE18, symBinAddr: 0x8038, symSize: 0x0 }
  - { offsetInCU: 0x5834, offset: 0x5834, size: 0x8, addend: 0x0, symName: _testThread, symObjAddr: 0xEE20, symBinAddr: 0x8040, symSize: 0x0 }
  - { offsetInCU: 0x5849, offset: 0x5849, size: 0x8, addend: 0x0, symName: _testResultObject, symObjAddr: 0xEE28, symBinAddr: 0x8048, symSize: 0x0 }
  - { offsetInCU: 0x585E, offset: 0x585E, size: 0x8, addend: 0x0, symName: _testResultClass, symObjAddr: 0xEE30, symBinAddr: 0x8050, symSize: 0x0 }
  - { offsetInCU: 0x5886, offset: 0x5886, size: 0x8, addend: 0x0, symName: _setWatchers, symObjAddr: 0x0, symBinAddr: 0x34C4, symSize: 0x1D0 }
  - { offsetInCU: 0x5A71, offset: 0x5A71, size: 0x8, addend: 0x0, symName: _Agent_OnLoad, symObjAddr: 0x1D0, symBinAddr: 0x3694, symSize: 0x180 }
  - { offsetInCU: 0x5E24, offset: 0x5E24, size: 0x8, addend: 0x0, symName: _onFieldModification, symObjAddr: 0x350, symBinAddr: 0x3814, symSize: 0x6C }
  - { offsetInCU: 0x5F3B, offset: 0x5F3B, size: 0x8, addend: 0x0, symName: _handleNotification, symObjAddr: 0x590, symBinAddr: 0x3A54, symSize: 0x294 }
  - { offsetInCU: 0x61C6, offset: 0x61C6, size: 0x8, addend: 0x0, symName: _onFieldAccess, symObjAddr: 0x3BC, symBinAddr: 0x3880, symSize: 0x20 }
  - { offsetInCU: 0x6289, offset: 0x6289, size: 0x8, addend: 0x0, symName: _Java_FieldAccessWatch_initWatchers, symObjAddr: 0x3DC, symBinAddr: 0x38A0, symSize: 0xF4 }
  - { offsetInCU: 0x63D4, offset: 0x63D4, size: 0x8, addend: 0x0, symName: _Java_FieldAccessWatch_startTest, symObjAddr: 0x4D0, symBinAddr: 0x3994, symSize: 0x64 }
  - { offsetInCU: 0x645D, offset: 0x645D, size: 0x8, addend: 0x0, symName: _Java_FieldAccessWatch_stopTest, symObjAddr: 0x534, symBinAddr: 0x39F8, symSize: 0x5C }
...
